REPQUOTA(8)

NAZWA
repquota - podsumowanie kwot dyskowych dla systemu plików

SKŁADNIA
/usr/sbin/repquota [ -vspiugP ] [ -c | -C ] [ -t | -n ] [ -F nazwa-formatu ] system-plików...

/usr/sbin/repquota [ -avtpsiugP ] [ -c | -C ] [ -t | -n ] [ -F nazwa-formatu ]

OPIS

repquota wypisuje podsumowanie użycia dysku i limity kwot dla podanych systemów plików. Dla każdego użytkownika wyświetlana jest liczba jego plików oraz przestrzeń dyskowa (w kilobajtach) razem z ograniczeniami kwot ustawionymi przez edquota(8) lub setquota(8). W drugiej kolumnie repquota wypisuje dwa znaki określające, które ograniczenia zostały przekroczone. Jeśli użytkownik przekroczył miękki limit przestrzeni dyskowej lub osiągnął ograniczenie twarde, a ograniczenie miękkie nie jest ustawione, to pierwszym znakiem jest "+". W przeciwnym wypadku wypisywany jest "-". Drugi znak w podobny sposób określa stan użycia i-węzłów. repquota musi przetłumaczyć identyfikatory wszystkich użytkowników/grup/projektów na ich nazwy (chyba że użyto opcji -n), tak więc wypisanie wszystkich informacji może zająć trochę czasu. Aby przyspieszyć to tłumaczenie repquota próbuje określić (czytając plik /etc/nsswitch.conf), czy wpisy użytkowników/grup są przechowywane w standardowych plikach tekstowych, czy w bazie danych i albo tłumaczy pakiety 1024 nazw od razu, albo tłumaczy każdą nazwę z osobną. Można nadpisać tę autodetekcję za pomocą opcji -c i -C.

OPCJE

-a, --all
    Pokazanie raportu kwoty ze wszystkich systemów plików wymienionych w /etc/mtab jako do odczytu i zapisu.

-v, --verbose
    Pokazanie wszystkich kwot, nawet jeśli nie ma zużycia zasobów. Bardziej "gadatliwy" sposób wypisywania informacji z pliku kwot.

-c, --cache
    Buforuje wpisy do zaraportowania i tłumaczy identyfikatory użytkowników i grup na nazwy przez skanowanie wszystkich użytkowników (zachowanie domyślne). Jest to dobre (szybkie) zachowanie, kiedy używa się pliku /etc/passwd.

-C, --no-cache
    Tłumaczy poszczególne wpisy. Jest to szybsze, gdy użytkownicy są przechowywani w bazie danych.

-t, --truncate-names
    Skracanie nazw użytkowników i grup dłuższych niż 9 znaków. Wynik jest bardziej czytelny niż normalny, gdy takie nazwy występują.

-n, --no-names
    Niezamienianie identyfikatorów użytkowników i grup na nazwy. Może to znacznie przyspieszyć wypisywanie informacji.

-s, --human-readable[=jednostki]
    Próbuje wypisać użyte miejsce, liczbę użytych i-węzłów i limity w czytelniejszych jednostkach niż domyślne. Jednostki można także narzucić opcjonalnym argumentem w postaci [ kgt ],[ kgt ] gdzie pierwszy znak określa jednostkę użytego miejsca, a drugi jednostkę i-węzłów.

-p, --raw-grace
    Jeśli użytkownik jest w okresie ulgi (grace period), to wyświetla czas w sekundach od początku epoki, kiedy ten okres się zakończy (lub zakończył). Pole jest równe "0", jeśli nie ma okresu ulgi. Jest to użyteczne podczas przetwarzania wyjścia za pomocą jakiegoś skryptu.

-i, --no-autofs
    Ignoruje punkty montowania ustanowione przez program automatycznego montowania (automounter).

-F, --format=nazwa-formatu
    Podawanie kwot według podanego formatu (tzn. nie jest wykonywana autodetekcja formatu). Dozwolone są następujące nazwy formatów: vfsold - oryginalny format kwot z 16-bitowymi identyfikatorami użytkowników i grup, vfsv0 - format kwoty z 32-bitowymi identyfikatorami użytkowników i grup, 64-bitową przestrzenią użycia i 32-bitowymi użyciem i-węzłów i ograniczeniami, vfsv1 - format kwoty z 64-bitowymi ograniczeniami kwot i użycia, xfs - kwoty na systemie plików XFS.

-g, --group
    Pokazanie kwot grup.

-P, --project
    Pokazanie kwot projektów.

-u, --user
    Pokazanie kwot użytkowników. Jest to zachowanie domyślne.

-O, --output=nazwa-formatu
    Wypisuje podsumowanie kwot w podanym formacie. Dopuszczalne wartości formatu to: default Format domyślny, zoptymalizowany do wyświetlania w terminalu; csv Plik tekstowy z wartościami rozdzielonymi przecinkami (CSV); xml Wynik w formacie XML, użyteczne do przetwarzania za pomocą XSLT.

Tylko superużytkownik może przeglądać cudze kwoty.

PLIKI
aquota.user lub aquota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 2 kwot, systemy plików inne niż XFS)
quota.user lub quota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 1 kwot, systemy plików inne niż XFS)
/etc/mtab
    domyślne systemy plików
/etc/passwd
    domyślny zbiór użytkowników
/etc/group
    domyślny zbiór grup

ZOBACZ TAKŻE
quota(1), quotactl(2), edquota(8), quotacheck(8), quotaon(8), quota_nld(8), setquota(8), warnquota(8)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl>, Andrzej Krzysztofowicz <ankry@green.mf.pg.gda.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.